/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.communication.jndi;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * @author Christophe HAMERLING - eBM WebSourcing
 *
 */
public interface JNDIService {
    
    // Property to provide logger to the custom initial context factory that need it.
    public final static String JAVA_NAMING_FACTORY_LOGGER = "java.naming.factory.logger";
    
    /**
     * Name of the JNDI user context
     */
    public static final String USERS_REF = "users";

    /**
     * Get the initial JNDI context.
     *
     * @return
     * @throws
     */
    InitialContext getInitialContext() throws NamingException;
    
    /**
     * Return a JNDI specific Context for Components
     * 
     * @return
     * @throws NamingException
     */
    public Context getUsersContext() throws NamingException;
}
